Bug 1303556 - Erlang 18
Erlang 18
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Simon Clark
ChangeAcceptedF24, SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 04:59 EST by Jan Kurik
Modified: 2016-09-29 07:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-02-01 04:59:47 EST
This is a tracking bug for Change: Erlang 18
For more details, see: https://fedoraproject.org//wiki/Changes/Erlang_18

Update Erlang/OTP to version 18.2.x, and improve Erlang support in Fedora.
Comment 1 Peter Lemenkov 2016-02-23 05:50:28 EST
We are in a fairly good shape now. Erlang 18 is available and workign well so far.
Comment 2 Jan Kurik 2016-04-20 11:01:54 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 3 Peter Lemenkov 2016-04-23 14:13:23 EDT
The Change is almost completed (all the major goals were achieved), so I'm changing the status of the ticket to ON_QA.
Comment 4 Simon Clark 2016-04-24 03:36:10 EDT
I have added release notes text to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/?id=eb531d70be3efac96bd7fdd1b8b9963f148fa8e1

Please would you take a look at the draft and let me know if anything should be added or changed?
Comment 5 Peter Lemenkov 2016-04-25 08:42:30 EDT
(In reply to Simon Clark from comment #4)
> I have added release notes text to the draft F24 Release Notes here:
> https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/
> ?id=eb531d70be3efac96bd7fdd1b8b9963f148fa8e1
> 
> Please would you take a look at the draft and let me know if anything should
> be added or changed?

I think it's fine. Just one small addition - current version we're shipping is 18.3.1, not 18.3.
Comment 6 Simon Clark 2016-04-25 11:49:16 EDT
Thank you for your feedback. I have changed the Erlang version from 18.3 to 18.3.1 in the Release Notes.

Note You need to log in before you can comment on or make changes to this bug.